using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ParameterDemo
{
    using System.Data.SqlClient;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string connStr = "Data Source=.\\SQLEXPRESS;AttachDbFilename=|DataDirectory|\\Northwind.mdf;" +
                                                       "Integrated Security=True;User Instance=True";
            SqlConnection conn = new SqlConnection(connStr);

            SqlDataAdapter da = new SqlDataAdapter("SELECT * FROM Orders WHERE " +
               "OrderDate BETWEEN @Beginning_Date AND @Ending_Date", conn);
            da.SelectCommand.Parameters.Add("@Beginning_Date", SqlDbType.DateTime).Value =
                          Convert.ToDateTime(textBox1.Text);
            da.SelectCommand.Parameters.Add("@Ending_Date", SqlDbType.DateTime).Value =
                          Convert.ToDateTime(textBox2.Text);

            DataSet ds = new DataSet();

            try
            {
                conn.Open();
                da.Fill(ds, "AbfrageBestellungen");
                conn.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }

            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "AbfrageBestellungen";
        }
   }
}
