using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataViewSort_Demo
{
    using System.Data.OleDb;

    public partial class Form1 : Form
    {
        private OleDbConnection conn = null;
        private OleDbCommand cmd = null;
        private OleDbDataAdapter da = null;
        private DataTable dt = null;

        private DataView dv = null;                // !   

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            conn = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;");
            cmd = new OleDbCommand("SELECT ArtikelNr,Artikelname,Liefereinheit,Einzelpreis FROM Artikel", conn);
            da = new OleDbDataAdapter(cmd);
            dt = new DataTable();
            da.Fill(dt);                      	// DataTablefllen
            dv = dt.DefaultView;    	        // Erzeugen des DataView in Standardansicht 
            dataGridView1.DataSource = dv;      // DataGrid an DataView anbinden
        }

        // Start:
        private void button1_Click(object sender, EventArgs e)
        {
            dv.Sort = textBox1.Text;
            dv.RowFilter = textBox2.Text;   
        }
    }
}