﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataSet1 ds1 = new DataSet1();
            ds1.Kunden.AddKundenRow("Klaus", "Müller", Convert.ToDateTime("3.4.1975"));
            ds1.Kunden.AddKundenRow("Tobalt", "Tonne", Convert.ToDateTime("5.8.1984"));

            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("20.2.2008"), 256.50m, ds1.Kunden[0],"per Nachname");
            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("8.3.2008"), 12.95m, ds1.Kunden[0], "per Scheck");

            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("19.7.2008"), 524.15m, ds1.Kunden[1], "per Überweisung");


            var query = from kunden in ds1.Kunden
                        from bestellungen in kunden.GetBestellungenRows()
                        select new
                        {
                            Kunde = kunden.Vorname + " " + kunden.Nachname,
                            Bestelldatum = bestellungen.Datum,
                            Betrag = bestellungen.Betrag,
                            Bemerkung = bestellungen.Bemerkung
                        };
           dataGridView1.DataSource = query.ToList();          
        }
    }
}
