using System;
using System.Collections.Generic;
using System.Text;

namespace ObjectDataSource
{
    public class CVerkauf
    {
        // automatisch implementierte Eigenschaften:
        public string Verkufer { get; set; }
        public string Produkt { get; set; }
        public float Preis { get; set; }
        public DateTime Datum { get; set; }               
    }

    public class CVerkufe
    {
        private List<CVerkauf> _verkufe;

        public CVerkufe()
        {
            _verkufe = new List<CVerkauf>();
            // CVerkauf-Objekte werden mittels Objekt-Initialisierer erzeugt:
            _verkufe.Add(new CVerkauf { Verkufer = "Tobalt", Produkt = "BMW", Preis = 10000F, Datum = new DateTime(2008, 10, 6)});
            _verkufe.Add(new CVerkauf { Verkufer = "Maxhelm", Produkt = "Mercedes", Preis = 12000F, Datum = new DateTime(2008, 10, 8) });
            _verkufe.Add(new CVerkauf { Verkufer = "Maxhelm", Produkt = "Opel", Preis = 4000F, Datum = new DateTime(2008, 10, 10) });
            _verkufe.Add(new CVerkauf { Verkufer = "Siegbast", Produkt = "Opel", Preis = 6000F, Datum = new DateTime(2008, 10, 18) });
            _verkufe.Add(new CVerkauf { Verkufer = "Tobalt", Produkt = "Mercedes", Preis = 16000F, Datum = new DateTime(2008, 10, 20) });
            _verkufe.Add(new CVerkauf { Verkufer = "Siegbast", Produkt = "Opel", Preis = 2000F, Datum = new DateTime(2008, 10, 28) });
            _verkufe.Add(new CVerkauf { Verkufer = "Siegbast", Produkt = "BMW", Preis = 9000F, Datum = new DateTime(2008, 11, 1) });
            _verkufe.Add(new CVerkauf { Verkufer = "Maxhelm", Produkt = "BMW", Preis = 11000F, Datum = new DateTime(2008, 11, 2) });
            _verkufe.Add(new CVerkauf { Verkufer = "Tobalt", Produkt = "BMW", Preis = 18000F, Datum = new DateTime(2008, 11, 9) });
            _verkufe.Add(new CVerkauf { Verkufer = "Tobalt", Produkt = "Opel", Preis = 5000F, Datum = new DateTime(2008, 11, 12) });
            _verkufe.Add(new CVerkauf { Verkufer = "Siegbast", Produkt = "Mercedes", Preis = 14000F, Datum = new DateTime(2008, 11, 15) });
            _verkufe.Add(new CVerkauf { Verkufer = "Tobalt", Produkt = "Mercedes", Preis = 20000F, Datum = new DateTime(2008, 11, 21) });
            _verkufe.Add(new CVerkauf { Verkufer = "Maxhelm", Produkt = "Mercedes", Preis = 26000F, Datum = new DateTime(2008, 11, 28) });
            _verkufe.Add(new CVerkauf { Verkufer = "Maxhelm", Produkt = "Opel", Preis = 1500F, Datum = new DateTime(2008, 11, 30) });
        }

        public List<CVerkauf> GetVerkufe()
        {
            return _verkufe;
        }
    }

    // Wichtig: Bevor der Typ CVerkauf als Objekt-Datenquelle hinzugefgt werden kann,
    // muss das Men "Erstellen|Projektmappe erstellen" ausgefhrt werden!
}
