using System;
using System.Collections.Generic;
using System.Text;

namespace Firma
{

    // Diese Klasse serialisiert/deserialisiert beliebige Objekte!

    using System.IO;
    using System.Runtime.Serialization.Formatters.Binary;

    public static class CPersistent
    {
        public static void saveObject(Object o, string pfad)
        {
            FileStream fs = new FileStream(pfad, FileMode.Create, FileAccess.Write, FileShare.None);
            BinaryFormatter bf = new BinaryFormatter();
            bf.Serialize(fs, o);
            fs.Close();
        }

        public static Object loadObject(string pfad)
        {
            FileStream fs = new FileStream(pfad, FileMode.Open, FileAccess.Read, FileShare.Read);
            BinaryFormatter bf = new BinaryFormatter();
            Object o = bf.Deserialize(fs);
            fs.Close();
            return o;
        }

    }
}
