using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BilderAccessDB
{
    using System.Data.OleDb;
    using System.IO;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string connStr = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb";
            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmdSel = new OleDbCommand("SELECT PersonalNr, Nachname, Vorname, Funktion, Foto FROM Personal", conn);
            OleDbDataAdapter da = new OleDbDataAdapter(cmdSel);
            DataTable dt = new DataTable("Personal");
            conn.Open();
            da.Fill(dt);
            conn.Close();
            bindingSource1.DataSource = dt;
            textBox1.DataBindings.Add("Text", bindingSource1, "PersonalNr");
            textBox2.DataBindings.Add("Text", bindingSource1, "Nachname");
            textBox3.DataBindings.Add("Text", bindingSource1, "Vorname");
            textBox4.DataBindings.Add("Text", bindingSource1, "Funktion");
            showFoto();
            bindingSource1.PositionChanged += new EventHandler(this.cm_PositionChanged);
        }

        // Beim Weiterblttern abgearbeitet:
        private void cm_PositionChanged(object sender, System.EventArgs e)
        {
	        showFoto();
        }

        private void showFoto()
        {
            if (!(pictureBox1.Image == null)) pictureBox1.Image.Dispose();
            DataRowView drv = (DataRowView)bindingSource1.Current;       	// Sicht auf aktuelle Zeile
            string pfad = drv["Foto"].ToString();       	// Pfad zur Bilddatei!
            FileStream fs = new FileStream(pfad, FileMode.Open);
            Bitmap bmp = new Bitmap(fs);
            pictureBox1.Image = bmp;    			// Anzeige des Bildes
            fs.Close();                              		// wichtig!
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (!(pictureBox1.Image == null)) pictureBox1.Image.Dispose();
        }    
    }
}