using System;
using System.Collections.Generic;
using System.Text;

namespace PrepareBLOB
{
    using System.Data.OleDb;
    using System.IO;

    class Program
    {
        static void Main(string[] args)
        {
           string connStr = "Provider=SQLOLEDB;Data Source= .\\SQLEXPRESS;Initial Catalog=Northwind;Trusted_Connection=Yes";
	       OleDbConnection conn = new OleDbConnection(connStr);
	       conn.Open();
	       string sqlStr = "UPDATE Employees SET Photo = ? WHERE EmployeeID = ?";
	       OleDbCommand cmd = new OleDbCommand(sqlStr, conn);
	       cmd.Parameters.Add("@Photo", OleDbType.LongVarBinary, int.MaxValue - 1);
	       cmd.Parameters.Add("@EmployeeID", OleDbType.Integer);
	       FileStream fs;			// fr Zugriff auf Bilddatei
	       Byte[] arr;			// Byte-Array zum Zwischenspeichern einer Bilddatei
	       string pfad;			// Pfad der Bilddateien 
	       for (int i = 1; i < 10; i++)      // UPDATE nacheinander fr 9 Employees ausfhren
	       {
		       pfad = "EmpID" + i + ".jpg";                	// Bilddateien sind im Anwendungsverzeichnis!
		       fs = new FileStream(pfad, FileMode.Open);     	// Bilddatei ffnen
		       arr = new Byte[fs.Length];              	// Byte-Array passender Lnge erzeugen
		       fs.Read(arr, 0, (int) fs.Length);         	// Dateiinhalt in Byte-Array laden
		       cmd.Parameters["@Photo"].Value = arr;       	// dem ersten Parameter das Byte-Array zuweisen 
		       cmd.Parameters["@EmployeeID"].Value = i;    	// dem zweiten Parameter die ID zuweisen
		       cmd.ExecuteNonQuery();                      	// UPDATE ausfhren
	       }
	       conn.Close();
        }
    }
    
}
