using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ShowBLOB
{
    using System.Data.OleDb;
    using System.IO;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string connStr = "Provider=SQLOLEDB;Data Source=.\\SQLEXPRESS;Initial Catalog=Northwind;Trusted_Connection=Yes;";
            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmdSel = new OleDbCommand("SELECT EmployeeID, LastName, FirstName, Title, Photo FROM Employees", conn);
            OleDbDataAdapter da = new OleDbDataAdapter(cmdSel);
            DataTable dt = new DataTable("Personal");
            conn.Open();
            da.Fill(dt);
            conn.Close();
            bindingSource1.DataSource = dt;
            textBox1.DataBindings.Add("Text", bindingSource1, "EmployeeID");
            textBox2.DataBindings.Add("Text", bindingSource1, "LastName");
            textBox3.DataBindings.Add("Text", bindingSource1, "FirstName");
            textBox4.DataBindings.Add("Text", bindingSource1, "Title");
            showFoto();
            bindingSource1.PositionChanged += new EventHandler(this.cm_PositionChanged);
        }

        // Beim Weiterblttern abgearbeitet:
        private void cm_PositionChanged(object sender, EventArgs e)
        {
	        showFoto();
        }

        private void showFoto()
        {
             if (!(pictureBox1.Image == null)) pictureBox1.Image.Dispose();
	         DataRowView drv = (DataRowView) bindingSource1.Current;       // Sicht auf aktuelle Zeile
	         byte[] arr = (byte[]) drv["Photo"];
	         MemoryStream ms = new MemoryStream(arr);          // speichert Byte-Array als Stream im Arbeitsspeicher
	         Bitmap bmp = new Bitmap(ms);
	         pictureBox1.Image = bmp;		       // Anzeige
	         ms.Close();			       // wichtig!
        }

       
    }
}