﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Datenquellen.aspx.cs" Inherits="Datenquellen" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Unbenannte Seite</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span style="font-size: 24pt; font-family: Arial"><strong>Datenquellen</strong></span><br />
        <br />
        <table style="width: 100%">
            <tr>
                <td style="font-weight: bold; font-size: 12pt; width: 100px; color: #ffffff; font-family: arial;
                    background-color: #0000cc">
                    AccessDataSource</td>
            </tr>
            <tr>
                <td style="width: 100px; height: 251px;">
                    <br />
                    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" CellPadding="4"
                        DataKeyNames="KundenCode" DataSourceID="AccessDataSource1" ForeColor="#333333"
                        GridLines="None" AllowPaging="True" PageSize="5">
                        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <Columns>
                            <asp:CommandField ButtonType="Button" ShowEditButton="True" />
                            <asp:BoundField DataField="KundenCode" HeaderText="KundenCode" ReadOnly="True" SortExpression="KundenCode" />
                            <asp:BoundField DataField="Firma" HeaderText="Firma" SortExpression="Firma" />
                            <asp:BoundField DataField="Kontaktperson" HeaderText="Kontaktperson" SortExpression="Kontaktperson" />
                            <asp:BoundField DataField="Funktion" HeaderText="Funktion" SortExpression="Funktion" />
                            <asp:BoundField DataField="Strasse" HeaderText="Strasse" SortExpression="Strasse" />
                            <asp:BoundField DataField="Ort" HeaderText="Ort" SortExpression="Ort" />
                            <asp:BoundField DataField="Region" HeaderText="Region" SortExpression="Region" />
                            <asp:BoundField DataField="PLZ" HeaderText="PLZ" SortExpression="PLZ" />
                            <asp:BoundField DataField="Land" HeaderText="Land" SortExpression="Land" />
                            <asp:BoundField DataField="Telefon" HeaderText="Telefon" SortExpression="Telefon" />
                            <asp:BoundField DataField="Telefax" HeaderText="Telefax" SortExpression="Telefax" />
                        </Columns>
                        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Daten.mdb"
                        DeleteCommand="DELETE FROM [Kunden] WHERE [KundenCode] = ?" InsertCommand="INSERT INTO [Kunden] ([KundenCode], [Firma], [Kontaktperson], [Funktion], [Strasse], [Ort], [Region], [PLZ], [Land], [Telefon], [Telefax]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
                        SelectCommand="SELECT * FROM [Kunden]" UpdateCommand="UPDATE [Kunden] SET [Firma] = ?, [Kontaktperson] = ?, [Funktion] = ?, [Strasse] = ?, [Ort] = ?, [Region] = ?, [PLZ] = ?, [Land] = ?, [Telefon] = ?, [Telefax] = ? WHERE [KundenCode] = ?">
                        <DeleteParameters>
                            <asp:Parameter Name="KundenCode" Type="String" />
                        </DeleteParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="Firma" Type="String" />
                            <asp:Parameter Name="Kontaktperson" Type="String" />
                            <asp:Parameter Name="Funktion" Type="String" />
                            <asp:Parameter Name="Strasse" Type="String" />
                            <asp:Parameter Name="Ort" Type="String" />
                            <asp:Parameter Name="Region" Type="String" />
                            <asp:Parameter Name="PLZ" Type="String" />
                            <asp:Parameter Name="Land" Type="String" />
                            <asp:Parameter Name="Telefon" Type="String" />
                            <asp:Parameter Name="Telefax" Type="String" />
                            <asp:Parameter Name="KundenCode" Type="String" />
                        </UpdateParameters>
                        <InsertParameters>
                            <asp:Parameter Name="KundenCode" Type="String" />
                            <asp:Parameter Name="Firma" Type="String" />
                            <asp:Parameter Name="Kontaktperson" Type="String" />
                            <asp:Parameter Name="Funktion" Type="String" />
                            <asp:Parameter Name="Strasse" Type="String" />
                            <asp:Parameter Name="Ort" Type="String" />
                            <asp:Parameter Name="Region" Type="String" />
                            <asp:Parameter Name="PLZ" Type="String" />
                            <asp:Parameter Name="Land" Type="String" />
                            <asp:Parameter Name="Telefon" Type="String" />
                            <asp:Parameter Name="Telefax" Type="String" />
                        </InsertParameters>
                    </asp:AccessDataSource>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold; font-size: 12pt; width: 100px; color: #ffffff; font-family: arial;
                    background-color: #0000cc">
                    SQLDataSource</td>
            </tr>
            <tr>
                <td style="width: 100px">
                    <br />
                    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" CellPadding="4"
                        DataKeyNames="ArtikelNr" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="True" PageSize="5">
                        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <Columns>
                            <asp:CommandField ButtonType="Button" ShowEditButton="True" />
                            <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                                ReadOnly="True" SortExpression="ArtikelNr" />
                            <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                            <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                            <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                            <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                            <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                            <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                            <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                            <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                            <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
                        </Columns>
                        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DatenConnectionString2 %>"
                        DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = @ArtikelNr" InsertCommand="INSERT INTO [Artikel] ([Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel]) VALUES (@Artikelname, @LieferantenNr, @KategorieNr, @Liefereinheit, @Einzelpreis, @Lagerbestand, @BestellteEinheiten, @Mindestbestand, @Auslaufartikel)"
                        SelectCommand="SELECT * FROM [Artikel]" UpdateCommand="UPDATE [Artikel] SET [Artikelname] = @Artikelname, [LieferantenNr] = @LieferantenNr, [KategorieNr] = @KategorieNr, [Liefereinheit] = @Liefereinheit, [Einzelpreis] = @Einzelpreis, [Lagerbestand] = @Lagerbestand, [BestellteEinheiten] = @BestellteEinheiten, [Mindestbestand] = @Mindestbestand, [Auslaufartikel] = @Auslaufartikel WHERE [ArtikelNr] = @ArtikelNr">
                        <DeleteParameters>
                            <asp:Parameter Name="ArtikelNr" Type="Int32" />
                        </DeleteParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="Artikelname" Type="String" />
                            <asp:Parameter Name="LieferantenNr" Type="Int32" />
                            <asp:Parameter Name="KategorieNr" Type="Int32" />
                            <asp:Parameter Name="Liefereinheit" Type="String" />
                            <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                            <asp:Parameter Name="Lagerbestand" Type="Int16" />
                            <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                            <asp:Parameter Name="Mindestbestand" Type="Int16" />
                            <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                            <asp:Parameter Name="ArtikelNr" Type="Int32" />
                        </UpdateParameters>
                        <InsertParameters>
                            <asp:Parameter Name="Artikelname" Type="String" />
                            <asp:Parameter Name="LieferantenNr" Type="Int32" />
                            <asp:Parameter Name="KategorieNr" Type="Int32" />
                            <asp:Parameter Name="Liefereinheit" Type="String" />
                            <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                            <asp:Parameter Name="Lagerbestand" Type="Int16" />
                            <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                            <asp:Parameter Name="Mindestbestand" Type="Int16" />
                            <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                        </InsertParameters>
                    </asp:SqlDataSource>
                    <asp:Label ID="Label2" runat="server" Text="0"></asp:Label><br />
                    <asp:Button ID="Button3" runat="server" OnClick="Button3_Click" Text="Neue Abfrage" /><br />
                    <br />
                    <asp:GridView ID="GridView4" runat="server" AutoGenerateColumns="False" CellPadding="4"
                        DataKeyNames="Id" DataSourceID="SqlDataSource2" ForeColor="#333333" GridLines="None">
                        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <Columns>
                            <asp:BoundField DataField="Id" HeaderText="Id" InsertVisible="False" ReadOnly="True"
                                SortExpression="Id" />
                            <asp:BoundField DataField="Bezeichnung" HeaderText="Bezeichnung" SortExpression="Bezeichnung" />
                            <asp:BoundField DataField="Preis" HeaderText="Preis" SortExpression="Preis" />
                            <asp:BoundField DataField="Anzahl" HeaderText="Anzahl" SortExpression="Anzahl" />
                            <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True"
                                ShowSelectButton="True" />
                        </Columns>
                        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:DatenConnectionString2 %>"
                        DeleteCommand="DELETE FROM [Warenkorb] WHERE [Id] = @Id" InsertCommand="NeuerArtikel"
                        InsertCommandType="StoredProcedure" OnInserting="SqlDataSource2_Inserting" SelectCommand="SELECT * FROM [Warenkorb]"
                        UpdateCommand="UPDATE [Warenkorb] SET [Bezeichnung] = @Bezeichnung, [Preis] = @Preis, [Anzahl] = @Anzahl WHERE [Id] = @Id">
                        <DeleteParameters>
                            <asp:Parameter Name="Id" Type="Int32" />
                        </DeleteParameters>
                        <FilterParameters>
                            <asp:ControlParameter ControlID="TextBox4" Name="P1" PropertyName="Text" />
                        </FilterParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="Bezeichnung" Type="String" />
                            <asp:Parameter Name="Preis" Type="Double" />
                            <asp:Parameter Name="Anzahl" Type="Int32" />
                            <asp:Parameter Name="Id" Type="Int32" />
                        </UpdateParameters>
                        <InsertParameters>
                            <asp:ControlParameter ControlID="TextBox1" Name="Bezeichnung" PropertyName="Text"
                                Type="String" />
                            <asp:ControlParameter ControlID="TextBox2" Name="Preis" PropertyName="Text" Type="Double" />
                            <asp:ControlParameter ControlID="TextBox3" Name="Anzahl" PropertyName="Text" Type="Int32" />
                            <asp:ControlParameter ControlID="Label3" Direction="InputOutput" Name="Id" PropertyName="Text"
                                Type="Int32" />
                            <asp:ControlParameter ControlID="Label2" Direction="ReturnValue" Name="RETURN_VALUE"
                                PropertyName="Text" Type="Int32" />
                        </InsertParameters>
                    </asp:SqlDataSource>
                    <br />
                    Neuer Datensatz:<br />
                    <br />
                    <table>
                        <tr>
                            <td style="width: 100px">
                                Bezeichnung</td>
                            <td style="width: 100px">
                                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td style="width: 100px">
                                Preis</td>
                            <td style="width: 100px">
                                <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td style="width: 100px">
                                Anzahl</td>
                            <td style="width: 100px">
                                <asp:TextBox ID="TextBox3" runat="server"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td style="width: 100px">
                            </td>
                            <td style="width: 100px">
                                <asp:Label ID="Label3" runat="server" Text="0"></asp:Label></td>
                        </tr>
                    </table>
                    <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Einfügen" /><br />
                    <br />
                    <br />
                    Filtern:<br />
                    <br />
                    Bezeichnung
                    <asp:TextBox ID="TextBox4" runat="server"></asp:TextBox><br />
                    <br />
                    <asp:Button ID="Button2" runat="server" OnClick="Button2_Click" Text="Filtern nach Bezeichnung" /><br />
                    &nbsp;<br />
                    <br />
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold; font-size: 12pt; width: 100px; color: #ffffff; font-family: arial;
                    background-color: #0000cc">
                    ObjectDataSource</td>
            </tr>
            <tr>
                <td style="width: 100px">
                    <br />
                    <asp:GridView ID="GridView3" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                        CellPadding="4" DataSourceID="ObjectDataSource1" ForeColor="#333333" GridLines="None"
                        PageSize="5" DataKeyNames="Id" OnSelectedIndexChanged="GridView3_SelectedIndexChanged">
                        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <Columns>
                            <asp:BoundField DataField="Id" HeaderText="Id" ReadOnly="True" SortExpression="Id" />
                            <asp:BoundField DataField="Preis" HeaderText="Preis" SortExpression="Preis" />
                            <asp:BoundField DataField="Anzahl" HeaderText="Anzahl" SortExpression="Anzahl" />
                            <asp:BoundField DataField="Bezeichnung" HeaderText="Bezeichnung" SortExpression="Bezeichnung" />
                            <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True"
                                ShowSelectButton="True" />
                        </Columns>
                        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DataObjectTypeName="Artikel"
                        DeleteMethod="DeleteArtikel" InsertMethod="InsertArtikel" SelectMethod="GetArtikelListe"
                        TypeName="Warenkorb" UpdateMethod="UpdateArtikel" OldValuesParameterFormatString="original_{0}">
                    </asp:ObjectDataSource>
                    &nbsp;
                    <asp:Label ID="Label1" runat="server" Text="0"></asp:Label>
                    <br />
                    <br />
                    <span style="font-size: 16pt; font-family: Arial"><strong><em>
                        <table>
                            <tr>
                                <td style="width: 100%">
                                    SessionWarenkorb
                        als Datenquelle</td>
                            </tr>
                        </table>
                    </em>
                    </strong></span>
                    <br />
                    <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" DataObjectTypeName="Artikel"
                        DeleteMethod="DeleteArtikel" InsertMethod="InsertArtikel" OldValuesParameterFormatString="original_{0}"
                        SelectMethod="GetArtikelListe" TypeName="SessionWarenkorb" UpdateMethod="UpdateArtikel">
                    </asp:ObjectDataSource>
                    <br />
                    <table>
                        <tr>
                            <td style="vertical-align: top; width: 100px">
                                <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" CellPadding="4"
                                    DataSourceID="ObjectDataSource2" DefaultMode="Insert" ForeColor="#333333" GridLines="None"
                                    Height="50px" Width="125px">
                                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                    <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
                                    <EditRowStyle BackColor="#2461BF" />
                                    <RowStyle BackColor="#EFF3FB" />
                                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                                    <Fields>
                                        <asp:BoundField DataField="Bezeichnung" HeaderText="Bezeichnung" SortExpression="Bezeichnung" />
                                        <asp:BoundField DataField="Preis" HeaderText="Preis" SortExpression="Preis" />
                                        <asp:BoundField DataField="Anzahl" HeaderText="Anzahl" SortExpression="Anzahl" />
                                        <asp:BoundField DataField="Id" HeaderText="Id" InsertVisible="False" SortExpression="Id" />
                                        <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True"
                                            ShowInsertButton="True" />
                                    </Fields>
                                    <FieldHeaderStyle BackColor="#DEE8F5" Font-Bold="True" />
                                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                    <AlternatingRowStyle BackColor="White" />
                                </asp:DetailsView>
                            </td>
                            <td style="vertical-align: top; width: 100px">
                                <asp:GridView ID="GridView5" runat="server" AutoGenerateColumns="False" CellPadding="4"
                                    DataSourceID="ObjectDataSource2" EmptyDataText="Keine Daten ..." ForeColor="#333333"
                                    GridLines="None" DataKeyNames="Id">
                                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                    <Columns>
                                        <asp:BoundField DataField="Id" HeaderText="Id" SortExpression="Id" />
                                        <asp:BoundField DataField="Bezeichnung" HeaderText="Bezeichnung" SortExpression="Bezeichnung" />
                                        <asp:BoundField DataField="Preis" HeaderText="Preis" SortExpression="Preis" />
                                        <asp:BoundField DataField="Anzahl" HeaderText="Anzahl" SortExpression="Anzahl" />
                                        <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True" />
                                    </Columns>
                                    <RowStyle BackColor="#EFF3FB" />
                                    <EditRowStyle BackColor="#2461BF" />
                                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                    <AlternatingRowStyle BackColor="White" />
                                </asp:GridView>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold; font-size: 12pt; width: 100px; color: #ffffff; font-family: arial;
                    background-color: #0000cc">
                    XMLDataSource</td>
            </tr>
            <tr>
                <td style="width: 100px">
                    <br />
                    <asp:TreeView ID="TreeView1" runat="server" DataSourceID="XmlDataSource1" ImageSet="Arrows">
                        <ParentNodeStyle Font-Bold="False" />
                        <HoverNodeStyle Font-Underline="True" ForeColor="#5555DD" />
                        <SelectedNodeStyle Font-Underline="True" ForeColor="#5555DD" HorizontalPadding="0px"
                            VerticalPadding="0px" />
                        <NodeStyle Font-Names="Tahoma" Font-Size="10pt" ForeColor="Black" HorizontalPadding="5px"
                            NodeSpacing="0px" VerticalPadding="0px" />
                    </asp:TreeView>
                    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/App_Data/Test7.xml">
                    </asp:XmlDataSource>
                </td>
            </tr>
            <tr>
                <td style="width: 100px">
                    <table style="width: 100%">
                        <tr>
                            <td style="font-weight: bold; font-size: 12pt; width: 168px; color: #ffffff; font-family: arial;
                                background-color: #0000cc">
                                SiteMapDataSource</td>
                        </tr>
                        <tr>
                            <td style="width: 168px">
                                <br />
                                <asp:TreeView ID="TreeView2" runat="server" DataSourceID="SiteMapDataSource1">
                                </asp:TreeView>
                                <asp:SiteMapDataSource ID="SiteMapDataSource1" runat="server" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <br />
        &nbsp;</div>
    </form>
</body>
</html>
