using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SubReport
{
    using Microsoft.Reporting.WinForms;   // !
    using NordwindDataSetTableAdapters;   // !
    
    public partial class Form1 : Form
    {

        NordwindDataSet nwDS = new NordwindDataSet();

        public Form1()
        {
            InitializeComponent();
            reportViewer1.LocalReport.SubreportProcessing += new SubreportProcessingEventHandler(LocalReport_SubreportProcessing);
        }

        // Reportdatenquelle fr Unterbericht zuweisen:
        private void LocalReport_SubreportProcessing(object sender, SubreportProcessingEventArgs e)
        {
            e.DataSources.Add(new ReportDataSource("NordwindDataSet_Bestellungen", nwDS.Bestellungen));
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Beide Tabellen des typ. DataSets aus der Datenbank fllen: 
            KundenTableAdapter kta = new KundenTableAdapter();
            kta.Fill(nwDS.Kunden);
            BestellungenTableAdapter bta = new BestellungenTableAdapter();
            bta.Fill(nwDS.Bestellungen);
            
            // ReportViewer mit Reportdatenquelle und Reportressource verbinden:
            reportViewer1.LocalReport.DataSources.Add(new ReportDataSource("NordwindDataSet_Kunden", nwDS.Kunden));
            reportViewer1.LocalReport.ReportEmbeddedResource = "SubReport.Kunden.rdlc";
            reportViewer1.RefreshReport();
        }

        
    }
}