using System;
using System.Collections.Generic;
using System.Text;

namespace Matrix
{
    public class CVerkauf
    {
        private string _verkufer;
        private string _produkt;
        private float _preis;
        private DateTime _datum;

        public CVerkauf(string verk, string prod, float prs, DateTime dat)
        {
            _verkufer = verk;
            _produkt = prod;
            _preis = prs;
            _datum = dat;
        }

        public string Verkufer
        {
            get { return _verkufer; }
            set { _verkufer = value; }
        }

        public string Produkt
        {
            get { return _produkt; }
            set { _produkt = value; }
        }

        public float Preis
        {
            get { return _preis; }
            set { _preis = value; }
        }

        public DateTime Datum
        {
            get { return _datum; }
            set { _datum = value; }
        }
    }

    public class CVerkufe
    {
        private List<CVerkauf> _verkufe;

        public CVerkufe()
        {
            _verkufe = new List<CVerkauf>();
            _verkufe.Add(new CVerkauf("Tobalt", "BMW", 10000F, new DateTime(2008, 10, 6)));
            _verkufe.Add(new CVerkauf("Maxhelm", "Mercedes", 12000F, new DateTime(2008, 10, 8)));
            _verkufe.Add(new CVerkauf("Maxhelm", "Opel", 4000F, new DateTime(2008, 10, 10)));
            _verkufe.Add(new CVerkauf("Siegbast", "Opel", 6000F, new DateTime(2008, 10, 18)));
            _verkufe.Add(new CVerkauf("Tobalt", "Mercedes", 16000F, new DateTime(2008, 10, 20)));
            _verkufe.Add(new CVerkauf("Siegbast", "Opel", 2000F, new DateTime(2008, 10, 28)));
            _verkufe.Add(new CVerkauf("Siegbast", "BMW", 9000F, new DateTime(2008, 11, 1)));
            _verkufe.Add(new CVerkauf("Maxhelm", "BMW", 11000F, new DateTime(2008, 11, 2)));
            _verkufe.Add(new CVerkauf("Tobalt", "BMW", 18000F, new DateTime(2008, 11, 9)));
            _verkufe.Add(new CVerkauf("Tobalt", "Opel", 5000F, new DateTime(2008, 11, 12)));
            _verkufe.Add(new CVerkauf("Siegbast", "Mercedes", 14000F, new DateTime(2008, 11, 15)));
            _verkufe.Add(new CVerkauf("Tobalt", "Mercedes", 20000F, new DateTime(2008, 11, 21)));
            _verkufe.Add(new CVerkauf("Maxhelm", "Mercedes", 26000F, new DateTime(2008, 11, 28)));
            _verkufe.Add(new CVerkauf("Maxhelm", "Opel", 1500F, new DateTime(2008, 11, 30)));
        }

        public List<CVerkauf> GetVerkufe()
        {
            return _verkufe;
        }
    }

    // Wichtig: Bevor der Typ CVerkauf als Objekt-Datenquelle hinzugefgt werden kann,
    // muss das Men "Erstellen|Projektmappe erstellen" ausgefhrt werden!

}
