using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StoredProcedureDemo
{
    using System.Data.SqlClient;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string connStr = "Data Source=.\\SQLEXPRESS; Initial Catalog=Northwind; Integrated Security=True";
            SqlConnection conn = new SqlConnection(connStr);
            SqlCommand cmd = new SqlCommand("Sales by Year", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            SqlParameter parm1 = new SqlParameter("@Beginning_Date", SqlDbType.DateTime);
            parm1.Direction = ParameterDirection.Input;       	// Definition als Input-Parameter
            parm1.Value = Convert.ToDateTime(textBox1.Text);  	// das Beginn-Datum wird der ersten TextBox entnommen 
            cmd.Parameters.Add(parm1);

            SqlParameter parm2 = new SqlParameter("@Ending_Date", SqlDbType.DateTime);
            parm2.Direction = ParameterDirection.Input;
            parm2.Value = Convert.ToDateTime(textBox2.Text);  	// das Ende-Datum wird der zweiten TextBox entnommen
            cmd.Parameters.Add(parm2);
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            conn.Open();
            da.Fill(ds, "SalesByDate");
            conn.Close();
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "SalesByDate";
            button2.Enabled = true;
        }

        // Whrungsspalte formatieren:
        private void button2_Click(object sender, EventArgs e)
        {            
            dataGridView1.Columns.Remove("Subtotal");
            DataGridViewTextBoxColumn tbc = new DataGridViewTextBoxColumn();
            tbc.DataPropertyName = "Subtotal";
            tbc.HeaderText = "Subtotal";
            tbc.Width = 80;
            tbc.DefaultCellStyle.Format = "c";
            tbc.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
            tbc.DisplayIndex = 2;
            dataGridView1.Columns.Add(tbc);
        }
    }
}