﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.SqlServer.Management.Common;
using Microsoft.SqlServer.Management.Smo;
using System.Data.SqlClient;

namespace Beispiel_1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            listBox1.Items.Clear();
            Server serv = new Server(textBox1.Text);
            foreach (Database db in serv.Databases)
            {
                if (db.IsSystemObject)
                    listBox1.Items.Add("(System) " + db.Name);
                else
                {
                    listBox1.Items.Add(db.Name + "---------------------");
                    try
                    {
                        foreach (Table t in db.Tables)
                        {
                            listBox1.Items.Add("    " + t.Name);
                        }

                    }
                    catch (Exception)
                    { }
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            listBox1.Items.Clear();
            DataTable dt = SmoApplication.EnumAvailableSqlServers(false);
            foreach (DataRow dr in dt.Rows)
            {
                listBox1.Items.Add(dr["Server"].ToString());
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Server serv = new Server(textBox1.Text);
            Database db =  new Database(serv, "BuchBeispiel");
            db.Create();

            Table tb = new Table(db, "ErsteTabelle");

            Column col = new Column(tb, "Id");
            col.DataType = DataType.Int;
            col.Nullable = false;
            col.Identity = true;
            col.IdentitySeed = 1;
            col.IdentityIncrement = 1;
            tb.Columns.Add(col);

            col = new Column(tb, "Nachname");
            col.DataType = DataType.VarChar(50);
            col.Nullable = false;
            tb.Columns.Add(col);

            Index idx = new Index(tb, "PK_ErsteTabelle");
            idx.IndexKeyType = IndexKeyType.DriPrimaryKey;
            idx.IndexedColumns.Add(new IndexedColumn(idx, "Id"));
            tb.Indexes.Add(idx);
            tb.Create();
        }

        private void button4_Click(object sender, EventArgs e)
        {
        }

        private void button4_Click_1(object sender, EventArgs e)
        {
        }

 
    }
}