﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kapitelbeispiel
{
    public static class LINQExtensionMethods
    {
        public static string ToTraceString(this IQueryable query)
        {
            System.Reflection.MethodInfo toTraceStringMethod = query.GetType().GetMethod("ToTraceString");

            if (toTraceStringMethod != null)
                return toTraceStringMethod.Invoke(query, null).ToString();
            else
                return "";
        }
    }
}
