using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Serialisierung
{
    using System.Data.SqlClient;
    using System.Runtime.Serialization.Formatters.Binary;
    using System.IO;
   
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private string getConnectionString()
        {
            SqlConnectionStringBuilder csb = new SqlConnectionStringBuilder();
            // Computername den Anwendungseinstellungen entnehmen:
            csb.DataSource = Properties.Settings.Default.Servername;
            csb.IntegratedSecurity = true;
            csb.InitialCatalog = "Northwind";
            return csb.ConnectionString;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string pfadXml = "..\\..\\Xml.txt";
            string pfadBinary = "..\\..\\Binary.txt";
            DataSet ds = new DataSet();
            SqlDataAdapter da = new SqlDataAdapter("SELECT * FROM Customers", getConnectionString());
            da.Fill(ds);
            BinaryFormatter bf = new BinaryFormatter();
            FileStream fs = null;
            if (radioButton1.Checked)
            {
                File.Delete(pfadXml);
                fs = new FileStream(pfadXml, FileMode.CreateNew);
                ds.RemotingFormat = SerializationFormat.Xml;
            }
            else
            {
               File.Delete(pfadBinary);
               fs = new FileStream(pfadBinary, FileMode.CreateNew); 
               ds.RemotingFormat = SerializationFormat.Binary;    // neu in ADO.NET 2.0!
            }
            bf.Serialize(fs, ds);
            fs.Close();

            if (radioButton1.Checked)
                MessageBox.Show("Datei " + pfadXml + " wurde erfolgreich erzeugt!");
            else
                MessageBox.Show("Datei " + pfadBinary + " wurde erfolgreich erzeugt!");
        }
    }
}