using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace CreateConstraint
{
	using System.Data.OleDb;
	/// <summary>
	/// Zusammendfassende Beschreibung fr Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.Button button1;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// listBox1
			// 
			this.listBox1.Location = new System.Drawing.Point(8, 24);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = new System.Drawing.Size(224, 238);
			this.listBox1.TabIndex = 0;
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(248, 232);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(88, 32);
			this.button1.TabIndex = 1;
			this.button1.Text = "Start";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(352, 285);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.button1,
																		  this.listBox1});
			this.Name = "Form1";
			this.Text = "CreateConstraints-Flag";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private DataSet ds;

		private void Form1_Load(object sender, System.EventArgs e)
		{
			string connStr = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;" ;
			OleDbConnection conn = new OleDbConnection(connStr);
			
			string selStr = "SELECT KundenCode, Firma, Kontaktperson, Telefon FROM Kunden";
			OleDbDataAdapter da = new OleDbDataAdapter(selStr, conn);
			ds = new DataSet();
			da.Fill(ds, "Kunden");
			
			selStr = "SELECT Bestellungen.BestellNr, Bestellungen.KundenCode, Bestellungen.Bestelldatum, Bestellungen.Versanddatum" +
				" FROM Bestellungen"; // WHERE (Kunden.KundenCode = Bestellungen.KundenCode)";
			da = new OleDbDataAdapter(selStr, conn);
			try
			{da.Fill(ds, "Bestellungen");}
			catch (Exception ex) {MessageBox.Show(ex.Message);}
			
			selStr = "SELECT Bestelldetails.BestellNr, Bestelldetails.ArtikelNr, Bestelldetails.Anzahl" +
				" FROM Bestelldetails" ; //, Artikel WHERE (Bestellungen.BestellNr = Bestelldetails.BestellNr) AND (Artikel.ArtikelNr = Bestelldetails.ArtikelNr)";
			da = new OleDbDataAdapter(selStr, conn);
			da.Fill(ds, "Bestelldetails");


			selStr = "SELECT Artikel.ArtikelNr, Artikel.Artikelname FROM Artikel";
			da = new OleDbDataAdapter(selStr, conn);
			da.Fill(ds, "Artikel");
		}

		// Start:
		private void button1_Click(object sender, System.EventArgs e)
		{
			DataRelation relKuBest = ds.Relations.Add("KundenBestellungen", ds.Tables["Kunden"].Columns["KundenCode"], 
				ds.Tables["Bestellungen"].Columns["KundenCode"]);
          			
			DataRelation relBestDet = ds.Relations.Add("BestellDetail", ds.Tables["Bestellungen"].Columns["BestellNr"], 
				ds.Tables["Bestelldetails"].Columns["BestellNr"], false);      // !
		   
			DataRelation relBestArt = ds.Relations.Add("BestellungArtikel", ds.Tables["Artikel"].Columns["ArtikelNr"],
				ds.Tables["Bestelldetails"].Columns["ArtikelNr"]);
  
			foreach (DataRow kuRow in ds.Tables["Kunden"].Rows)
			{
				listBox1.Items.Add("Kunden Code:" + kuRow["KundenCode"].ToString());
				listBox1.Items.Add(" ------------------------------");
				foreach (DataRow bestRow in kuRow.GetChildRows(relKuBest))
				{
					listBox1.Items.Add("  ");
					listBox1.Items.Add("Bestell Nr: " + bestRow["BestellNr"].ToString());
					listBox1.Items.Add("Bestelldatum: " + bestRow["Bestelldatum"].ToString());
					foreach (DataRow detRow in bestRow.GetChildRows(relBestDet))
					{
						listBox1.Items.Add (" Artikel: " + detRow.GetParentRow(relBestArt)["Artikelname"].ToString());
						listBox1.Items.Add("  Anzahl: " + detRow["Anzahl"].ToString());
					}
				}
				listBox1.Items.Add("     ");
			}

		}
		
	}
}
