using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FormsDataSource_Demo
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

         public void editKunde(DataRowView drv)    // der bergabeparameter ist die aktuelle Zeile!
         {
             if (drv.Row.RowState == DataRowState.Detached) 	 // wenn neuer Datensatz hinzugefgt wird
	         {
                 textBox1.Text = "DODAT";
		         textBox2.Text = "DataBook";
                 textBox3.Text = "Walter";
		         textBox4.Text = "Crazy Boss";
		         textBox5.Text = "Altenburg";
	         }
	         else       				// wenn vorhandener Datensatz gendert wird
             {
                 // anzeigen:
                 textBox1.Text = drv["KundenCode"].ToString();
		         textBox2.Text = drv["Firma"].ToString();
                 textBox3.Text = drv["Kontaktperson"].ToString();
		         textBox4.Text = drv["Funktion"].ToString();
		         textBox5.Text = drv["Ort"].ToString();
             }
             if (this.ShowDialog() == DialogResult.OK)            // "OK"
             {
                 // speichern:
                 drv.BeginEdit();
                 drv["KundenCode"] = textBox1.Text;
                 drv["Firma"] = textBox2.Text;
                 drv["Kontaktperson"] = textBox3.Text;
                 drv["Funktion"] = textBox4.Text;
                 drv["Ort"] = textBox5.Text;
                 drv.EndEdit();
             }
             else                                                // "Abbrechen"
                 drv.CancelEdit();
         }

        // OK
        private void button1_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        // Abbrechen
        private void button2_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}