using System;
using System.Collections.Generic;
using System.Text;

namespace WindowsApplication5
{
    using System.Data;
    using System.Data.Common;
    using System.Globalization;

    public static class CData
    {
        // DataTable aus Datenbank fllen:
        public static DataTable getAusgaben(string d1, string d2)
        {
            // SQL-gerechte Datumsstrings zusammenbauen: 
            DateTime dat1 = Convert.ToDateTime(d1);
            d1 = "#" + dat1.ToString("d", new CultureInfo("en-US")) + "#";
            DateTime dat2 = Convert.ToDateTime(d2);
            d2 = "#" + dat2.ToString("d", new CultureInfo("en-US")) + "#";

            // providerunabhngiger Code fr Lesezugriff:
            DbProviderFactory provider = DbProviderFactories.GetFactory("System.Data.OleDb");
            DbConnection conn = provider.CreateConnection();
            conn.ConnectionString = Properties.Settings.Default.Nordwind;  // aus Konfigurationsdatei holen
            DbCommand cmd = provider.CreateCommand();
            cmd.Connection = conn;
            cmd.CommandText = "SELECT * FROM Ausgaben WHERE DATUM BETWEEN " + d1 + " AND " + d2 + " ORDER BY Datum";
            DbDataAdapter da = provider.CreateDataAdapter();
            da.SelectCommand = cmd;
            da.MissingSchemaAction = MissingSchemaAction.AddWithKey;  // wichtig fr clientseitiges Mergen beim Einfgen neuer Datenstze!
            DataTable dt = new DataTable();
            conn.Open();
            da.Fill(dt);
            conn.Close();
            return dt;
        }

        // nderungen in Datenbank zurckschreiben:
        public static void setAusgaben(ref DataTable dt)
        {
            // providerunabhngiger Code fr Schreibzugriff:
            DbProviderFactory provider = DbProviderFactories.GetFactory("System.Data.OleDb");
            DbConnection conn = provider.CreateConnection();
            conn.ConnectionString = Properties.Settings.Default.Nordwind;  // aus Konfigurationsdatei holen
            DbCommand cmd = provider.CreateCommand();
            cmd.Connection = conn;
            cmd.CommandText = "SELECT * FROM Ausgaben";
            DbDataAdapter da = provider.CreateDataAdapter();
            da.SelectCommand = cmd;
            DbCommandBuilder cb = provider.CreateCommandBuilder(); // erstellt automatisch SQL-UPDATE-Befehl
            cb.DataAdapter = da;
            conn.Open();
            da.Update(dt);
            conn.Close();
        }
    }
}
