﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Beispiel_Parameterauswahl.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Unbenannte Seite</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span style="font-size: 16pt"><strong>Datenauswahl mit Parameter<br />
        </strong></span>
        <br />
        <br />
        <strong>Variante 1<br />
        </strong>
        <br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Session (artid=10) setzen" /><br />
        <br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="ArtikelNr"
            DataSourceID="SqlDataSource1">
            <Columns>
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                    ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = @ArtikelNr" InsertCommand="INSERT INTO [Artikel] ([Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel]) VALUES (@Artikelname, @LieferantenNr, @KategorieNr, @Liefereinheit, @Einzelpreis, @Lagerbestand, @BestellteEinheiten, @Mindestbestand, @Auslaufartikel)"
            OnSelecting="SqlDataSource1_Selecting" ProviderName="<%$ ConnectionStrings:mySQLServer.ProviderName %>"
            SelectCommand="SELECT [ArtikelNr], [Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel] FROM [Artikel] WHERE ([ArtikelNr] = @ArtikelNr)"
            UpdateCommand="UPDATE [Artikel] SET [Artikelname] = @Artikelname, [LieferantenNr] = @LieferantenNr, [KategorieNr] = @KategorieNr, [Liefereinheit] = @Liefereinheit, [Einzelpreis] = @Einzelpreis, [Lagerbestand] = @Lagerbestand, [BestellteEinheiten] = @BestellteEinheiten, [Mindestbestand] = @Mindestbestand, [Auslaufartikel] = @Auslaufartikel WHERE [ArtikelNr] = @ArtikelNr" OnUpdated="SqlDataSource1_Updated">
            <DeleteParameters>
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:SessionParameter DefaultValue="0" Name="ArtikelNr" SessionField="artid" Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
            </InsertParameters>
        </asp:SqlDataSource>
        <br />
        <strong>Variante 2<br />
        </strong>
        <br />
        <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
        </asp:DropDownList><asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False"
            DataKeyNames="ArtikelNr" DataSourceID="SqlDataSource2" EmptyDataText="Es sind keine Datensätze zum Anzeigen vorhanden.">
            <Columns>
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = @ArtikelNr" InsertCommand="INSERT INTO [Artikel] ([Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel]) VALUES (@Artikelname, @LieferantenNr, @KategorieNr, @Liefereinheit, @Einzelpreis, @Lagerbestand, @BestellteEinheiten, @Mindestbestand, @Auslaufartikel)"
            ProviderName="<%$ ConnectionStrings:mySQLServer.ProviderName %>" SelectCommand="SELECT [ArtikelNr], [Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel] FROM [Artikel] WHERE ([ArtikelNr] = @ArtikelNr)"
            UpdateCommand="UPDATE [Artikel] SET [Artikelname] = @Artikelname, [LieferantenNr] = @LieferantenNr, [KategorieNr] = @KategorieNr, [Liefereinheit] = @Liefereinheit, [Einzelpreis] = @Einzelpreis, [Lagerbestand] = @Lagerbestand, [BestellteEinheiten] = @BestellteEinheiten, [Mindestbestand] = @Mindestbestand, [Auslaufartikel] = @Auslaufartikel WHERE [ArtikelNr] = @ArtikelNr">
            <DeleteParameters>
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" DefaultValue="0" Name="ArtikelNr"
                    PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
            </InsertParameters>
        </asp:SqlDataSource>
        <br />
        <strong>Variante 3<br />
        </strong>&nbsp;<br />
        <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" DataKeyNames="ArtikelNr"
            DataSourceID="SqlDataSource3" EmptyDataText="Es sind keine Datensätze zum Anzeigen vorhanden.">
            <Columns>
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource3" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = @ArtikelNr" InsertCommand="INSERT INTO [Artikel] ([Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel]) VALUES (@Artikelname, @LieferantenNr, @KategorieNr, @Liefereinheit, @Einzelpreis, @Lagerbestand, @BestellteEinheiten, @Mindestbestand, @Auslaufartikel)"
            ProviderName="<%$ ConnectionStrings:mySQLServer.ProviderName %>" SelectCommand="SELECT [ArtikelNr], [Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel] FROM [Artikel] WHERE ([ArtikelNr] = @ArtikelNr)"
            UpdateCommand="UPDATE [Artikel] SET [Artikelname] = @Artikelname, [LieferantenNr] = @LieferantenNr, [KategorieNr] = @KategorieNr, [Liefereinheit] = @Liefereinheit, [Einzelpreis] = @Einzelpreis, [Lagerbestand] = @Lagerbestand, [BestellteEinheiten] = @BestellteEinheiten, [Mindestbestand] = @Mindestbestand, [Auslaufartikel] = @Auslaufartikel WHERE [ArtikelNr] = @ArtikelNr">
            <DeleteParameters>
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="0" Name="ArtikelNr" QueryStringField="artid"
                    Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="KategorieNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                <asp:Parameter Name="Mindestbestand" Type="Int16" />
                <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
            </InsertParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
