using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DrillThrough
{

    using Microsoft.Reporting.WinForms;
    using NordwindDataSetTableAdapters;  

    public partial class Form1 : Form
    {

        NordwindDataSet nwDS = new NordwindDataSet();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            KundenTableAdapter kta = new KundenTableAdapter();
            kta.Fill(nwDS.Kunden);
            BestellungenTableAdapter bta = new BestellungenTableAdapter();
            bta.Fill(nwDS.Bestellungen);

            reportViewer1.LocalReport.DataSources.Add(new ReportDataSource("NordwindDataSet_Kunden",
                                                                                 nwDS.Kunden));

            reportViewer1.LocalReport.ReportEmbeddedResource = "DrillThrough.Kunden.rdlc";

            this.reportViewer1.RefreshReport();
        }

        private void reportViewer1_Drillthrough(object sender, DrillthroughEventArgs e)
        {
            LocalReport localReport = (LocalReport)e.Report;
            localReport.DataSources.Add(new ReportDataSource("NordwindDataSet_Bestellungen",
                                                                           nwDS.Bestellungen));
        }
    }
}