﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using CrystalDecisions.Shared;
using System.Drawing.Printing;
using CrystalDecisions.CrystalReports.Engine;

namespace Beispiele
{
    public partial class Form1 : Form
    {
        DatenDataSet myDS = new DatenDataSet();
        Daten2 myDS1 = new Daten2();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private void crystalReportViewer1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            Beispiel_Gruppieren rp = new Beispiel_Gruppieren();
            DatenDataSetTableAdapters.ArtikelTableAdapter taArtikel = new Beispiele.DatenDataSetTableAdapters.ArtikelTableAdapter();
            DatenDataSetTableAdapters.KategorienTableAdapter taKategorien = new Beispiele.DatenDataSetTableAdapters.KategorienTableAdapter();
            taArtikel.Fill(myDS.Artikel);
            taKategorien.Fill(myDS.Kategorien);
            rp.SetDataSource(myDS);
            crystalReportViewer1.ReportSource = rp;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Beispiel_Gruppieren_2 rp = new Beispiel_Gruppieren_2();
            DatenDataSetTableAdapters.ArtikelTableAdapter taArtikel = new Beispiele.DatenDataSetTableAdapters.ArtikelTableAdapter();
            DatenDataSetTableAdapters.KategorienTableAdapter taKategorien = new Beispiele.DatenDataSetTableAdapters.KategorienTableAdapter();
            taArtikel.Fill(myDS.Artikel);
            taKategorien.Fill(myDS.Kategorien);
            rp.SetDataSource(myDS);
            crystalReportViewer1.ReportSource = rp;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Beispiel_Parameterfeld rp = new Beispiel_Parameterfeld();
            DatenDataSetTableAdapters.ArtikelTableAdapter taArtikel = new Beispiele.DatenDataSetTableAdapters.ArtikelTableAdapter();
            DatenDataSetTableAdapters.KategorienTableAdapter taKategorien = new Beispiele.DatenDataSetTableAdapters.KategorienTableAdapter();
            taArtikel.Fill(myDS.Artikel);
            taKategorien.Fill(myDS.Kategorien);
            rp.SetDataSource(myDS);
            crystalReportViewer1.ReportSource = rp;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Beispiel_Parameterfeld rp = new Beispiel_Parameterfeld();
            DatenDataSetTableAdapters.ArtikelTableAdapter taArtikel = new Beispiele.DatenDataSetTableAdapters.ArtikelTableAdapter();
            DatenDataSetTableAdapters.KategorienTableAdapter taKategorien = new Beispiele.DatenDataSetTableAdapters.KategorienTableAdapter();
            taArtikel.Fill(myDS.Artikel);
            taKategorien.Fill(myDS.Kategorien);
            rp.SetDataSource(myDS);

            Form2 f2 = new Form2();
            f2.ShowDialog();

            rp.ParameterFields["Anfangsbuchstabe"].CurrentValues.AddValue(f2.textBox1.Text);

            crystalReportViewer1.ReportSource = rp;

        }

        private void crystalReportViewer1_ReportRefresh(object source, CrystalDecisions.Windows.Forms.ViewerEventArgs e)
        {
        }

        private void crystalReportViewer1_Validating(object sender, CancelEventArgs e)
        {
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Beispiel_Berechnung rp = new Beispiel_Berechnung();
            DatenDataSetTableAdapters.BestellungenTableAdapter taBestellungen = new Beispiele.DatenDataSetTableAdapters.BestellungenTableAdapter();
            DatenDataSetTableAdapters.ArtikelTableAdapter taArtikel = new Beispiele.DatenDataSetTableAdapters.ArtikelTableAdapter();
            DatenDataSetTableAdapters.BestelldetailsTableAdapter taBestelldetails = new Beispiele.DatenDataSetTableAdapters.BestelldetailsTableAdapter();
            taArtikel.Fill(myDS.Artikel);
            taBestelldetails.Fill(myDS.Bestelldetails);
            taBestellungen.Fill(myDS.Bestellungen);
            rp.SetDataSource(myDS);
            crystalReportViewer1.ReportSource = rp;
        }

        private void SetDatabase(ReportClass rp, string path)
        {
            foreach (CrystalDecisions.CrystalReports.Engine.Table myTable in rp.Database.Tables)
            {
                TableLogOnInfo logOnInfo = new TableLogOnInfo();
                logOnInfo = (TableLogOnInfo)myTable.LogOnInfo.Clone();
                logOnInfo.ConnectionInfo.ServerName = path; 
                myTable.ApplyLogOnInfo(logOnInfo);
            }
        }


        private void button6_Click(object sender, EventArgs e)
        {
            Beispiel_Kreuztabelle rp = new Beispiel_Kreuztabelle();
            //SetDatabase(rp, Application.StartupPath + "\\Daten.mdb"); 
            crystalReportViewer1.ReportSource = rp;
        }

        private void button7_Click(object sender, EventArgs e)
        {
            Beispiel_Unterbericht rp = new Beispiel_Unterbericht();
            SetDatabase(rp, Application.StartupPath + "\\Daten.mdb");
            crystalReportViewer1.ReportSource = rp;
        }

        private void button8_Click(object sender, EventArgs e)
        {
            Beispiel_Kreuztabelle rp = new Beispiel_Kreuztabelle();
            SetDatabase(rp, Application.StartupPath + "\\Daten.mdb"); 
            rp.PrintToPrinter(0, true, 0, 0);
        }

        private void button9_Click(object sender, EventArgs e)
        {
            CrystalReport1 rep = new CrystalReport1();
            SetDatabase(rep, Application.StartupPath + "\\Daten.mdb");
            PrinterSettings ps = new PrinterSettings();
            ps.PrinterName = rep.PrintOptions.PrinterName;
            printDialog1.PrinterSettings = ps;
            if (printDialog1.ShowDialog() == DialogResult.OK)
            {
                rep.PrintOptions.PrinterName = printDialog1.PrinterSettings.PrinterName;
                rep.PrintToPrinter(0, true, 0, 0);
            }
        }

        private void button10_Click(object sender, EventArgs e)
        {
            CrystalReport1 rep = new CrystalReport1();
            SetDatabase(rep, Application.StartupPath + "\\Daten.mdb"); 
            //DiskFileDestinationOptions Options = new DiskFileDestinationOptions();

            //Options.DiskFileName = "c:\\test.rtf";
            //rep.ExportOptions.ExportFormatType = ExportFormatType.RichText;
            //rep.ExportOptions.ExportDestinationType = ExportDestinationType.DiskFile;
            //rep.ExportOptions.DestinationOptions = Options;
            //rep.Export();


              MicrosoftMailDestinationOptions Options = new MicrosoftMailDestinationOptions();
  Options.MailToList = "autoren@doko-buch.de";
  Options.MailMessage = "Hallo, \n anbei die neuesten Umsatzdaten!";
  Options.MailSubject = "Aktuelle Umsatzdaten";
  rep.ExportOptions.ExportFormatType = ExportFormatType.PortableDocFormat;
  rep.ExportOptions.ExportDestinationType = ExportDestinationType.MicrosoftMail;
  rep.ExportOptions.DestinationOptions = Options;
  rep.Export();



        }


        private void button12_Click(object sender, EventArgs e)
        {
            Rechnungsdruck f = new Rechnungsdruck();
            f.ShowDialog();
        }

        private void splitContainer1_Panel2_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}